package modelo;
// Generated 15 dic 2022 16:34:03 by Hibernate Tools 4.3.6.Final

import jakarta.persistence.AttributeOverride;
import jakarta.persistence.AttributeOverrides;
import jakarta.persistence.Column;
import jakarta.persistence.EmbeddedId;
import jakarta.persistence.Entity;
import jakarta.persistence.FetchType;
import jakarta.persistence.JoinColumn;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;

/**
 * Linfactura generated by hbm2java
 */
@Entity
@Table(name = "linfactura", catalog = "emphb")
public class Linfactura implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private LinfacturaId id;
	private Articulo articulo;
	private Factura factura;
	private int cantidad;
	private float importe;

	public Linfactura() {
	}

	public Linfactura(LinfacturaId id, Articulo articulo, Factura factura, int cantidad, float importe) {
		this.id = id;
		this.articulo = articulo;
		this.factura = factura;
		this.cantidad = cantidad;
		this.importe = importe;
	}

	@EmbeddedId
	@AttributeOverrides({ @AttributeOverride(name = "linea", column = @Column(name = "linea", nullable = false)),
			@AttributeOverride(name = "factura", column = @Column(name = "factura", nullable = false)) })
	public LinfacturaId getId() {
		return this.id;
	}

	public void setId(LinfacturaId id) {
		this.id = id;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "articulo", nullable = false)
	public Articulo getArticulo() {
		return this.articulo;
	}

	public void setArticulo(Articulo articulo) {
		this.articulo = articulo;
	}

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "factura", nullable = false, insertable = false, updatable = false)
	public Factura getFactura() {
		return this.factura;
	}

	public void setFactura(Factura factura) {
		this.factura = factura;
	}

	@Column(name = "cantidad", nullable = false)
	public int getCantidad() {
		return this.cantidad;
	}

	public void setCantidad(int cantidad) {
		this.cantidad = cantidad;
	}

	@Column(name = "importe", nullable = false, precision = 12, scale = 0)
	public float getImporte() {
		return this.importe;
	}

	public void setImporte(float importe) {
		this.importe = importe;
	}
	
	@Override
	public String toString() {
		return "Linfactura [" + id + ", factura=" + factura.getId() + ", articulo=" + articulo.getId()
				+ ", cantidad=" + cantidad + ", importe=" + importe + "]";
	}

}
